using BarContracts.BindingModels;
using BarContracts.SearchModels;
using BarContracts.ViewModels;

namespace BarContracts.BusinessLogicContracts
{
    public interface IComponentLogic
    {
        List<ComponentViewModel>? ReadList(ComponentSearchModel? Model);
        ComponentViewModel? ReadElement(ComponentSearchModel Model);
        bool Create(ComponentBindingModel Model);
        bool Update(ComponentBindingModel Model);
        bool Delete(ComponentBindingModel Model);
    }
}
